Package org.pgpainless.sop

# Class NullOutputStream

java.lang.Object
java.io.OutputStream
org.pgpainless.sop.NullOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class NullOutputStream extends OutputStream
`OutputStream` that simply discards bytes written to it.

## Constructor Summary

Constructors
Constructor
Description
`NullOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullOutputStream

public NullOutputStream()

## Method Details

### write

public void write(int b)

Specified by:
  `write` in class `OutputStream`